#ifndef SDLGL_FONT_H
#define SDLGL_FONT_H

#include <GL/gl.h>
#include <SDL.h>
#include "sdlgl_tex.h"

#ifndef SDLGL_FONT_C
  typedef void *SDLGL_FONT;
  typedef void *SDLGL_TXT;
#endif
#ifdef _cplusplus
extern "C" {
#endif

  SDLGL_FONT SDLGL_font_new (char *font_path, unsigned int size);
  int SDLGL_font_free (SDLGL_FONT font);

  int SDLGL_font_set_fgcolor (SDLGL_FONT font, int r, int g, int b);

  int SDLGL_font_build_tex (SDLGL_FONT font, char *str, 
			    SDLGL_TEX *mask, SDLGL_TEX *txt);

  int SDLGL_font_simple_render (SDLGL_FONT font);
  int SDLGL_font_render_txt (SDLGL_FONT font, char *str);

  SDLGL_TXT SDLGL_txt_new (SDLGL_FONT font, char *txt, GLfloat scale);
  int SDLGL_txt_free (SDLGL_TXT txt);
  int SDLGL_txt_free (SDLGL_TXT txt);
  int SDLGL_txt_simple_render (SDLGL_TXT txt);
  int SDLGL_txt_simple_render1 (SDLGL_TXT txt);

#ifdef _cplusplus
}
#endif

#endif
