#ifndef SDLGL_TEX_H
#define SDLGL_TEX_H

#include <GL/gl.h>
#include <SDL.h>

#ifndef SDLGL_C
  typedef void *SDLGL_TEX;
#endif
#ifdef _cplusplus
extern "C" {
#endif


  SDLGL_TEX SDLGL_new_texture ();
  int SDLGL_free_texture(SDLGL_TEX tex);

  GLuint SDLGL_tex_get_gltex (SDLGL_TEX tex);
  SDL_Surface* SDLGL_tex_get_surface (SDLGL_TEX tex);
  int SDLGL_tex_get_size (SDLGL_TEX tex, int *w, int *h);
  int SDLGL_tex_get_map_coord (SDLGL_TEX tex, GLfloat *coord);

  int SDLGL_tex_set_scale (SDLGL_TEX tex, GLfloat scale);
  int SDLGL_tex_set_normal (SDLGL_TEX tex, GLfloat x, GLfloat y, GLfloat z);

  int SDLGL_img_render (SDLGL_TEX tex);
  int SDLGL_img_prepare_render (SDLGL_TEX tex, 
				GLfloat *x0, GLfloat *y0, 
				GLfloat *x1, GLfloat *y1);

  int SDLGL_read_from_file (SDLGL_TEX tex, char *file_name);
  int SDLGL_read_from_surface (SDLGL_TEX tex, SDL_Surface *surf);


#ifdef _cplusplus
}
#endif

#endif
